#//This function acts as a general commmand center, like the lobby of a building. General should never be tied to a player.
#//(I.E the command block running this should just say /function General, not execute as @p[tag=Host]...) I am NOT making that mistake again 


#Scoreboard functions
    #One Second counter
        scoreboard players add Sec Chk:Timers 1
        execute if score Sec Chk:Timers matches 20.. run scoreboard players set Sec Chk:Timers 0
    #End Scoreboard function
    execute unless score End Chk:Timers matches ..0 run function Startup/End
        #//Used to activate the /End function multiple times

#/Prisoner, Warden, and Player function activation
execute as @a[hasitem={item=armor:prisoner}] at @s run function Player_Commands/Prisoner
execute as @a[hasitem={item=armor:warden}] at @s run function Player_Commands/Warden
execute as @a at @s run function Player_Commands/Player
    #//I want to avoid giving tags to the player. They get complicated and confusing. Prisoners will always have the prisoner armor on, so I'm using that.
#effects
    effect @a instant_health 1 255 true
    effect @e[family=wandering_trader] resistance 2 255 true
#Player Tags
    #Remove tags
        tag @a remove Player:Prisoner
        tag @a remove Player:Warden
        tag @a remove Player:Prisoner.Innocent
    #Add Tags
        tag @a[hasitem={item=armor:prisoner}] add Player:Prisoner
        tag @a[hasitem={item=armor:prisoner},scores={Tnc:Sus=0}] add Player:Prisoner.Innocent
        tag @a[hasitem={item=armor:warden}] add Player:Warden
    #//These are the only tags used. They are needed
#Setting commands
    #Scoreboard Avoid going over 1 
        execute if score Stg:ChoseRole Tnc:Settings matches 2.. run scoreboard players set Stg:ChoseRole Tnc:Settings 0
        execute if score Stg:CanKillNPC Tnc:Settings matches 2.. run scoreboard players set Stg:CanKillNPC Tnc:Settings 0
        execute if score Stg:CanAlwaysKill Tnc:Settings matches 2.. run scoreboard players set Stg:CanAlwaysKill Tnc:Settings 0
    #Structure Signs (for settings)
        execute unless block -84 8 -79 gray_concrete[] if score Stg:CanAlwaysKill Tnc:Settings matches 0 run structure load Stg.AlwaysKill.F -84 8 -80
        execute unless block -85 8 -79 gray_concrete[] if score Stg:CanKillNPC Tnc:Settings matches 0 run structure load Stg.KillNPC.F -85 8 -80
        execute unless block -86 8 -79 gray_concrete[] if score Stg:ChoseRole Tnc:Settings matches 0 run structure load Stg.ChoseRole.F -86 8 -80

        execute unless block -84 8 -79 green_concrete[] if score Stg:CanAlwaysKill Tnc:Settings matches 1 run structure load Stg.AlwaysKill.T -84 8 -80
        execute unless block -85 8 -79 green_concrete[] if score Stg:CanKillNPC Tnc:Settings matches 1 run structure load Stg.KillNPC.T -85 8 -80
        execute unless block -86 8 -79 green_concrete[] if score Stg:ChoseRole Tnc:Settings matches 1 run structure load Stg.ChoseRole.T -86 8 -80
#Task commands
    #Task Reset
        execute if score Task:Cooking Tnc:Tasks matches 101 if score Task:Fueling Tnc:Tasks matches 101 if score Task:Sorting Tnc:Tasks matches 101 run function Task/Reset_Tasks 
        execute if score Task:Cooking Tnc:Tasks matches 101 if score Task:Fueling Tnc:Tasks matches 101 if score Task:Washing Tnc:Tasks matches 101 run function Task/Reset_Tasks 
        execute if score Task:Cooking Tnc:Tasks matches 101 if score Task:Sorting Tnc:Tasks matches 101 if score Task:Washing Tnc:Tasks matches 101 run function Task/Reset_Tasks 
        execute if score Task:Fueling Tnc:Tasks matches 101 if score Task:Sorting Tnc:Tasks matches 101 if score Task:Washing Tnc:Tasks matches 101 run function Task/Reset_Tasks 

#Camera commands
    #Scan function
    execute if score Cameras:Scan Tnc:Cameras matches 0..99 run function Camera/Scan_Camera
#Door commands
    #Door open scoreboard
    execute as @e[type=armor_stand] if entity @s[hasitem={item=red_stained_glass}] if score @s Tnc:Doors matches 1.. run scoreboard players remove @s Tnc:Doors 1
    execute as @e[type=armor_stand] if entity @s[hasitem={item=red_stained_glass}] if score @s Tnc:Doors matches ..0 at @s if block ~~3~ redstone_torch run setblock ~~3~ air
